# com.google.cloud.spanner.jdbc

## Interfaces

- CloudSpannerJdbcConnection
- JdbcSqlException
- TransactionRetryListener

## Classes

- JdbcConstants
- JdbcDataSource
- JdbcDriver
- JdbcSqlExceptionFactory
- JsonType
- PgJsonbType
- SpannerPool

## Enums

- TransactionRetryListener.RetryResult

## Exceptions

- JdbcSqlExceptionFactory.JdbcAbortedDueToConcurrentModificationException
- JdbcSqlExceptionFactory.JdbcAbortedException
- JdbcSqlExceptionFactory.JdbcSqlBatchUpdateException
- JdbcSqlExceptionFactory.JdbcSqlClientInfoException
- JdbcSqlExceptionFactory.JdbcSqlExceptionImpl
- JdbcSqlExceptionFactory.JdbcSqlFeatureNotSupportedException
- JdbcSqlExceptionFactory.JdbcSqlTimeoutException